/*  WARNING: this file is program generated. */
/*  Remove these two lines to protect the file from overwrites. */
#ifndef OM_NO_DEF_AG
#define OM_NO_DEF_AG

#include "avs/om.h"

#ifdef __cplusplus
#include "avs/omx.hxx"
#endif
#ifdef __cplusplus

#ifdef __cplusplus
#include "avs/ag.hxx"
#endif

#ifdef __cplusplus
#include "fld/Xfld.h"
#endif


//
// Program generated hdr definition for class: AGPrimitive
//
void AGPrimitive__free(void *obj);
OMXgroup *AGPrimitive__inst(OMobj_id obj_id);
class AGPrimitive : public virtual OMXgroup {
   public:
	AGPrimitive(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGPrimitive");
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      OMXint priority;
      OMXint visibility;
      OMXstr className;

        AgPrimitive *primitive;
          protected:
        int my_seq_num;
        // Functions to attach to world and viewport
        void attach(OMXgroup_array &children);
        // Define a number of functions to update attribute groups
        void updateIntAttr(const char *attrName, OMXint &attr);
        void updateFloatAttr(const char *attrName, OMXfloat &attr);
        void updateFloatArrAttr(const char *attrName, OMXobj &attr);
        void updateDistanceAttr(const char *attrName, OMXfloat &attr);
        void updateDistanceAttr(const char *attrName, OMXfloat &attr, 
                              AgDistance &value);
        void updateStringAttr(const char *attrName, OMXstr &attr);
        void updateStringArrAttr(const char *attrName, OMXobj &attr);
        void updateEnumAttr(const char *attrName, OMXstr &attr);
        void updateColorAttr(const char *attrName, OMXstr &attr);
        void updateColorArrAttr(const char *attrName, OMXobj &attr);
        void updateFontAttr(const char *attrName, OMXstr &attr);
        void updateLineStyleAttr(const char *attrName, OMXstr &attr);
        void updateGeometryAttr(const char *attrName, OMXobj &attr);
        // The parent is only triggered when AgPrimitive is changed
        // which can be accomplished by changing priority
        void triggerParent() {priority = (int)priority;}
};


//
// Program generated hdr definition for class: AGTickParams
//
void AGTickParams__free(void *obj);
OMXgroup *AGTickParams__inst(OMobj_id obj_id);
class AGTickParams : public virtual OMXgroup {
   public:
	AGTickParams(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGTickParams");
	virtual void *ret_omx_ptr(char *);
      OMXstr majorTickColor;
      OMXenum majorTickLineStyle;
      OMXint majorTickOn;
      OMXfloat majorTickWidth;
      OMXstr minorTickColor;
      OMXint minorTickCount;
      OMXenum minorTickLineStyle;
      OMXfloat minorTickWidth;
};


//
// Program generated hdr definition for class: AGAxisParams
//
void AGAxisParams__free(void *obj);
OMXgroup *AGAxisParams__inst(OMobj_id obj_id);
class AGAxisParams : public virtual OMXgroup, public AGTickParams {
   public:
	AGAxisParams(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGAxisParams");
	virtual void *ret_omx_ptr(char *);
      OMXstr axleColor;
      OMXfloat axleWidth;
      OMXstr labelColor;
      OMXstr labelFont;
      OMXfloat labelHeight;
      OMXstr textColor;
      OMXstr textFont;
      OMXfloat textHeight;
};


//
// Program generated hdr definition for class: AGTickRParams
//
void AGTickRParams__free(void *obj);
OMXgroup *AGTickRParams__inst(OMobj_id obj_id);
class AGTickRParams : public virtual OMXgroup {
   public:
	AGTickRParams(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGTickRParams");
	virtual void *ret_omx_ptr(char *);
      OMXfloat majorReferenceR;
      OMXfloat majorStepR;
};


//
// Program generated hdr definition for class: AGPolarRAxis
//
void AGPolarRAxis__free(void *obj);
OMXgroup *AGPolarRAxis__inst(OMobj_id obj_id);
class AGPolarRAxis : public virtual OMXgroup, public AGPrimitive, public AGAxisParams, public AGTickRParams {
   public:
	AGPolarRAxis(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGPolarRAxis");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      OMXint labelDecimals;
      OMXenum labelMode;
      OMXint labelPowerFactor;
      OMXfloat positionT;
      OMXstr text;
      virtual int update(OMevent_mask event_mask=0, int seq_num=0);
};
int
AGPolarRAxis__update__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);


//
// Program generated hdr definition for class: AGPolarRTicklines
//
void AGPolarRTicklines__free(void *obj);
OMXgroup *AGPolarRTicklines__inst(OMobj_id obj_id);
class AGPolarRTicklines : public virtual OMXgroup, public AGPrimitive, public AGTickParams, public AGTickRParams {
   public:
	AGPolarRTicklines(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGPolarRTicklines");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      virtual int update(OMevent_mask event_mask=0, int seq_num=0);
};
int
AGPolarRTicklines__update__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);


//
// Program generated hdr definition for class: AGTickTParams
//
void AGTickTParams__free(void *obj);
OMXgroup *AGTickTParams__inst(OMobj_id obj_id);
class AGTickTParams : public virtual OMXgroup {
   public:
	AGTickTParams(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGTickTParams");
	virtual void *ret_omx_ptr(char *);
      OMXfloat majorReferenceT;
      OMXfloat majorStepT;
};


//
// Program generated hdr definition for class: AGPolarTAxis
//
void AGPolarTAxis__free(void *obj);
OMXgroup *AGPolarTAxis__inst(OMobj_id obj_id);
class AGPolarTAxis : public virtual OMXgroup, public AGPrimitive, public AGAxisParams, public AGTickTParams {
   public:
	AGPolarTAxis(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGPolarTAxis");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      OMXint labelDecimals;
      OMXenum labelMode;
      OMXint labelPowerFactor;
      OMXfloat positionR;
      OMXstr text;
      virtual int update(OMevent_mask event_mask=0, int seq_num=0);
};
int
AGPolarTAxis__update__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);


//
// Program generated hdr definition for class: AGPolarTTicklines
//
void AGPolarTTicklines__free(void *obj);
OMXgroup *AGPolarTTicklines__inst(OMobj_id obj_id);
class AGPolarTTicklines : public virtual OMXgroup, public AGPrimitive, public AGTickParams, public AGTickTParams {
   public:
	AGPolarTTicklines(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGPolarTTicklines");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      virtual int update(OMevent_mask event_mask=0, int seq_num=0);
};
int
AGPolarTTicklines__update__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);


//
// Program generated hdr definition for class: AGTickXParams
//
void AGTickXParams__free(void *obj);
OMXgroup *AGTickXParams__inst(OMobj_id obj_id);
class AGTickXParams : public virtual OMXgroup {
   public:
	AGTickXParams(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGTickXParams");
	virtual void *ret_omx_ptr(char *);
      OMXfloat majorReferenceX;
      OMXfloat majorStepX;
};


//
// Program generated hdr definition for class: AGXAxis
//
void AGXAxis__free(void *obj);
OMXgroup *AGXAxis__inst(OMobj_id obj_id);
class AGXAxis : public virtual OMXgroup, public AGPrimitive, public AGAxisParams, public AGTickXParams {
   public:
	AGXAxis(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGXAxis");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      OMXint labelDecimals;
      OMXenum labelMode;
      OMXint labelPowerFactor;
      OMXfloat positionY;
      OMXstr text;
      virtual int update(OMevent_mask event_mask=0, int seq_num=0);
};
int
AGXAxis__update__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);


//
// Program generated hdr definition for class: AGXTicklines
//
void AGXTicklines__free(void *obj);
OMXgroup *AGXTicklines__inst(OMobj_id obj_id);
class AGXTicklines : public virtual OMXgroup, public AGPrimitive, public AGTickParams, public AGTickXParams {
   public:
	AGXTicklines(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGXTicklines");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      virtual int update(OMevent_mask event_mask=0, int seq_num=0);
};
int
AGXTicklines__update__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);


//
// Program generated hdr definition for class: AGXUserAxis
//
void AGXUserAxis__free(void *obj);
OMXgroup *AGXUserAxis__inst(OMobj_id obj_id);
class AGXUserAxis : public virtual OMXgroup, public AGPrimitive, public AGAxisParams, public AGTickXParams {
   public:
	AGXUserAxis(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGXUserAxis");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      OMXenum labelMode;
      OMXenum labelPosition;
      OMXstr_array labelStrings;
      OMXfloat positionY;
      OMXstr text;
      virtual int update(OMevent_mask event_mask=0, int seq_num=0);
};
int
AGXUserAxis__update__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);


//
// Program generated hdr definition for class: AGTickYParams
//
void AGTickYParams__free(void *obj);
OMXgroup *AGTickYParams__inst(OMobj_id obj_id);
class AGTickYParams : public virtual OMXgroup {
   public:
	AGTickYParams(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGTickYParams");
	virtual void *ret_omx_ptr(char *);
      OMXfloat majorReferenceY;
      OMXfloat majorStepY;
};


//
// Program generated hdr definition for class: AGYAxis
//
void AGYAxis__free(void *obj);
OMXgroup *AGYAxis__inst(OMobj_id obj_id);
class AGYAxis : public virtual OMXgroup, public AGPrimitive, public AGAxisParams, public AGTickYParams {
   public:
	AGYAxis(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGYAxis");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      OMXint labelDecimals;
      OMXenum labelMode;
      OMXint labelPowerFactor;
      OMXfloat positionX;
      OMXstr text;
      virtual int update(OMevent_mask event_mask=0, int seq_num=0);
};
int
AGYAxis__update__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);


//
// Program generated hdr definition for class: AGYTicklines
//
void AGYTicklines__free(void *obj);
OMXgroup *AGYTicklines__inst(OMobj_id obj_id);
class AGYTicklines : public virtual OMXgroup, public AGPrimitive, public AGTickParams, public AGTickYParams {
   public:
	AGYTicklines(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGYTicklines");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      virtual int update(OMevent_mask event_mask=0, int seq_num=0);
};
int
AGYTicklines__update__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);


//
// Program generated hdr definition for class: AGYUserAxis
//
void AGYUserAxis__free(void *obj);
OMXgroup *AGYUserAxis__inst(OMobj_id obj_id);
class AGYUserAxis : public virtual OMXgroup, public AGPrimitive, public AGAxisParams, public AGTickYParams {
   public:
	AGYUserAxis(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGYUserAxis");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      OMXenum labelMode;
      OMXenum labelPosition;
      OMXstr_array labelStrings;
      OMXfloat positionX;
      OMXstr text;
      virtual int update(OMevent_mask event_mask=0, int seq_num=0);
};
int
AGYUserAxis__update__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);


//
// Program generated hdr definition for class: AGGeometryPrimitive
//
void AGGeometryPrimitive__free(void *obj);
OMXgroup *AGGeometryPrimitive__inst(OMobj_id obj_id);
class AGGeometryPrimitive : public virtual OMXgroup, public AGPrimitive {
   public:
	AGGeometryPrimitive(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGGeometryPrimitive");
	virtual void *ret_omx_ptr(char *);
      OMXfloat_array geometry;
};


//
// Program generated hdr definition for class: AGArc
//
void AGArc__free(void *obj);
OMXgroup *AGArc__inst(OMobj_id obj_id);
class AGArc : public virtual OMXgroup, public AGGeometryPrimitive {
   public:
	AGArc(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGArc");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      OMXstr fillColor;
      OMXstr frameColor;
      OMXfloat frameWidth;
      OMXfloat_array arcAngleInterval;
      OMXenum arcType;
      virtual int update(OMevent_mask event_mask=0, int seq_num=0);
};
int
AGArc__update__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);


//
// Program generated hdr definition for class: AGArrow
//
void AGArrow__free(void *obj);
OMXgroup *AGArrow__inst(OMobj_id obj_id);
class AGArrow : public virtual OMXgroup, public AGGeometryPrimitive {
   public:
	AGArrow(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGArrow");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      OMXstr color;
      OMXfloat width;
      virtual int update(OMevent_mask event_mask=0, int seq_num=0);
};
int
AGArrow__update__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);


//
// Program generated hdr definition for class: AGEllipse
//
void AGEllipse__free(void *obj);
OMXgroup *AGEllipse__inst(OMobj_id obj_id);
class AGEllipse : public virtual OMXgroup, public AGGeometryPrimitive {
   public:
	AGEllipse(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGEllipse");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      OMXstr fillColor;
      OMXstr frameColor;
      OMXfloat frameWidth;
      virtual int update(OMevent_mask event_mask=0, int seq_num=0);
};
int
AGEllipse__update__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);


//
// Program generated hdr definition for class: AGLine
//
void AGLine__free(void *obj);
OMXgroup *AGLine__inst(OMobj_id obj_id);
class AGLine : public virtual OMXgroup, public AGGeometryPrimitive {
   public:
	AGLine(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGLine");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      OMXstr color;
      OMXenum lineStyle;
      OMXfloat width;
      virtual int update(OMevent_mask event_mask=0, int seq_num=0);
};
int
AGLine__update__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);


//
// Program generated hdr definition for class: AGPoints
//
void AGPoints__free(void *obj);
OMXgroup *AGPoints__inst(OMobj_id obj_id);
class AGPoints : public virtual OMXgroup, public AGGeometryPrimitive {
   public:
	AGPoints(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGPoints");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      OMXstr color;
      OMXfloat diameter;
      virtual int update(OMevent_mask event_mask=0, int seq_num=0);
};
int
AGPoints__update__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);


//
// Program generated hdr definition for class: AGPolarWorldParams
//
void AGPolarWorldParams__free(void *obj);
OMXgroup *AGPolarWorldParams__inst(OMobj_id obj_id);
class AGPolarWorldParams : public virtual OMXgroup, public AGAxisParams, public AGTickRParams, public AGTickTParams {
   public:
	AGPolarWorldParams(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGPolarWorldParams");
	virtual void *ret_omx_ptr(char *);
      OMXfloat_array limitsR;
      OMXfloat_array limitsT;
      OMXfloat angle;
      OMXfloat originR;
};
class AGPolarWorld_children_array : public OMXgroup_array {
public:
  AGPolarWorld_children_array (
      OMobj_id obj_id,
      char *name = NULL,
      int mode = OMX_CREATE_NEW_OBJ,
      OMXobj *parent_ptr = NULL);
   virtual OMXgroup *ret_array_member(OMobj_id val_id);
   AGPrimitive &operator[](const int index);
};


//
// Program generated hdr definition for class: AGPolarWorld
//
void AGPolarWorld__free(void *obj);
OMXgroup *AGPolarWorld__inst(OMobj_id obj_id);
class AGPolarWorld : public virtual OMXgroup, public AGPrimitive, public AGPolarWorldParams {
   public:
	AGPolarWorld(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGPolarWorld");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      AGPolarWorld_children_array children;
      virtual int update(OMevent_mask event_mask=0, int seq_num=0);
};
int
AGPolarWorld__update__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);


//
// Program generated hdr definition for class: AGPolygon
//
void AGPolygon__free(void *obj);
OMXgroup *AGPolygon__inst(OMobj_id obj_id);
class AGPolygon : public virtual OMXgroup, public AGGeometryPrimitive {
   public:
	AGPolygon(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGPolygon");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      OMXstr fillColor;
      OMXstr frameColor;
      OMXfloat frameWidth;
      virtual int update(OMevent_mask event_mask=0, int seq_num=0);
};
int
AGPolygon__update__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);


//
// Program generated hdr definition for class: AGRectangle
//
void AGRectangle__free(void *obj);
OMXgroup *AGRectangle__inst(OMobj_id obj_id);
class AGRectangle : public virtual OMXgroup, public AGGeometryPrimitive {
   public:
	AGRectangle(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGRectangle");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      OMXstr fillColor;
      OMXstr frameColor;
      OMXfloat frameWidth;
      virtual int update(OMevent_mask event_mask=0, int seq_num=0);
};
int
AGRectangle__update__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);


//
// Program generated hdr definition for class: AGTextParams
//
void AGTextParams__free(void *obj);
OMXgroup *AGTextParams__inst(OMobj_id obj_id);
class AGTextParams : public virtual OMXgroup {
   public:
	AGTextParams(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGTextParams");
	virtual void *ret_omx_ptr(char *);
      OMXstr color;
      OMXstr fillColor;
      OMXstr font;
      OMXstr frameColor;
      OMXfloat frameWidth;
      OMXenum horizontalJustification;
      OMXenum multiLineJustification;
      OMXfloat multiLineSpacingFactor;
      OMXstr_array text;
      OMXenum verticalJustification;
};


//
// Program generated hdr definition for class: AGRestrictedText
//
void AGRestrictedText__free(void *obj);
OMXgroup *AGRestrictedText__inst(OMobj_id obj_id);
class AGRestrictedText : public virtual OMXgroup, public AGGeometryPrimitive, public AGTextParams {
   public:
	AGRestrictedText(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGRestrictedText");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      OMXfloat_array upVector;
      OMXfloat_array baseVector;
      virtual int update(OMevent_mask event_mask=0, int seq_num=0);
};
int
AGRestrictedText__update__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);


//
// Program generated hdr definition for class: AGText
//
void AGText__free(void *obj);
OMXgroup *AGText__inst(OMobj_id obj_id);
class AGText : public virtual OMXgroup, public AGGeometryPrimitive, public AGTextParams {
   public:
	AGText(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGText");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      OMXfloat angle;
      OMXfloat height;
      virtual int update(OMevent_mask event_mask=0, int seq_num=0);
};
int
AGText__update__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);


//
// Program generated hdr definition for class: AGTransformableText
//
void AGTransformableText__free(void *obj);
OMXgroup *AGTransformableText__inst(OMobj_id obj_id);
class AGTransformableText : public virtual OMXgroup, public AGGeometryPrimitive, public AGTextParams {
   public:
	AGTransformableText(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGTransformableText");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      OMXfloat_array upVector;
      virtual int update(OMevent_mask event_mask=0, int seq_num=0);
};
int
AGTransformableText__update__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);


//
// Program generated hdr definition for class: AGViewportParams
//
void AGViewportParams__free(void *obj);
OMXgroup *AGViewportParams__inst(OMobj_id obj_id);
class AGViewportParams : public virtual OMXgroup {
   public:
	AGViewportParams(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGViewportParams");
	virtual void *ret_omx_ptr(char *);
      OMXint clip;
      OMXstr fillColor;
      OMXstr frameColor;
      OMXfloat frameWidth;
      OMXfloat_array limitsX;
      OMXfloat_array limitsY;
};
class AGViewport_children_array : public OMXgroup_array {
public:
  AGViewport_children_array (
      OMobj_id obj_id,
      char *name = NULL,
      int mode = OMX_CREATE_NEW_OBJ,
      OMXobj *parent_ptr = NULL);
   virtual OMXgroup *ret_array_member(OMobj_id val_id);
   AGPrimitive &operator[](const int index);
};


//
// Program generated hdr definition for class: AGViewport
//
void AGViewport__free(void *obj);
OMXgroup *AGViewport__inst(OMobj_id obj_id);
class AGViewport : public virtual OMXgroup, public AGGeometryPrimitive, public AGViewportParams {
   public:
	AGViewport(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGViewport");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      AGViewport_children_array children;
      virtual int update(OMevent_mask event_mask=0, int seq_num=0);
};
int
AGViewport__update__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);


//
// Program generated hdr definition for class: AGWorldParams
//
void AGWorldParams__free(void *obj);
OMXgroup *AGWorldParams__inst(OMobj_id obj_id);
class AGWorldParams : public virtual OMXgroup, public AGAxisParams, public AGTickXParams, public AGTickYParams {
   public:
	AGWorldParams(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGWorldParams");
	virtual void *ret_omx_ptr(char *);
      OMXint clip;
      OMXfloat_array limitsX;
      OMXfloat_array limitsY;
      OMXfloat_array limitsMarginX;
      OMXfloat_array limitsMarginY;
      OMXint niceLimits;
      OMXint uniformScaling;
};
class AGWorld_children_array : public OMXgroup_array {
public:
  AGWorld_children_array (
      OMobj_id obj_id,
      char *name = NULL,
      int mode = OMX_CREATE_NEW_OBJ,
      OMXobj *parent_ptr = NULL);
   virtual OMXgroup *ret_array_member(OMobj_id val_id);
   AGPrimitive &operator[](const int index);
};


//
// Program generated hdr definition for class: AGWorld
//
void AGWorld__free(void *obj);
OMXgroup *AGWorld__inst(OMobj_id obj_id);
class AGWorld : public virtual OMXgroup, public AGPrimitive, public AGWorldParams {
   public:
	AGWorld(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGWorld");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      AGWorld_children_array children;
      virtual int update(OMevent_mask event_mask=0, int seq_num=0);
};
int
AGWorld__update__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);


//
// Program generated hdr definition for class: AGContourParams
//
void AGContourParams__free(void *obj);
OMXgroup *AGContourParams__inst(OMobj_id obj_id);
class AGContourParams : public virtual OMXgroup {
   public:
	AGContourParams(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGContourParams");
	virtual void *ret_omx_ptr(char *);
      OMXfloat_array classValues;
      OMXenum contourType;
      OMXstr isoLineLabelColor;
      OMXstr isoLineLabelFont;
      OMXfloat isoLineLabelDistance;
      OMXfloat isoLineLabelHeight;
      OMXfloat_array isoLineLabelAngleInterval;
      OMXint isoLineLabelDecimals;
      OMXint isoLineLabelFrequency;
      OMXstr majorIsoLineColor;
      OMXfloat majorIsoLineWidth;
      OMXint majorIsoLineFrequency;
      OMXint majorIsoLineReference;
      OMXenum majorIsoLineStyle;
      OMXfloat maxClass;
      OMXfloat minClass;
      OMXstr minorIsoLineColor;
      OMXfloat minorIsoLineWidth;
      OMXenum minorIsoLineStyle;
      OMXint numClasses;
};


//
// Program generated hdr definition for class: AGContour_field
//
class AGContour_field : public virtual OMXgroup, public FLD_Mesh_Struct, public FLD_Node_Data {
   public:
	AGContour_field(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGContour.field");
	virtual void *ret_omx_ptr(char *);
      OMXint nnodes;
};


//
// Program generated hdr definition for class: AGContour
//
void AGContour__free(void *obj);
OMXgroup *AGContour__inst(OMobj_id obj_id);
class AGContour : public virtual OMXgroup, public AGPrimitive, public AGContourParams {
   public:
	AGContour(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGContour");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      class AGContour_field field;
      virtual int update(OMevent_mask event_mask=0, int seq_num=0);

      protected:
        void updateField();
};
int
AGContour__update__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);


//
// Program generated hdr definition for class: AGContourLegend
//
void AGContourLegend__free(void *obj);
OMXgroup *AGContourLegend__inst(OMobj_id obj_id);
class AGContourLegend : public virtual OMXgroup, public AGGeometryPrimitive {
   public:
	AGContourLegend(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGContourLegend");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      OMXstr fillColor;
      OMXstr frameColor;
      OMXfloat frameWidth;
      OMXint labelDecimals;
      OMXstr labelFont;
      OMXfloat labelHeight;
      OMXstr labelColor;
      OMXstr title;
      OMXstr titleFont;
      OMXfloat titleHeight;
      OMXstr titleColor;
      class AGContour contour;
      virtual int update(OMevent_mask event_mask=0, int seq_num=0);

      protected:
        void attachContourToLegend();
};
int
AGContourLegend__update__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);


//
// Program generated hdr definition for class: AGContourViewport
//
void AGContourViewport__free(void *obj);
OMXgroup *AGContourViewport__inst(OMobj_id obj_id);
class AGContourViewport : public virtual OMXgroup, public AGViewport, public AGContourParams {
   public:
	AGContourViewport(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGContourViewport");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      virtual int update2(OMevent_mask event_mask=0, int seq_num=0);
};
int
AGContourViewport__update2__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);


//
// Program generated hdr definition for class: AGContourWorld
//
void AGContourWorld__free(void *obj);
OMXgroup *AGContourWorld__inst(OMobj_id obj_id);
class AGContourWorld : public virtual OMXgroup, public AGWorld, public AGContourParams {
   public:
	AGContourWorld(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGContourWorld");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      virtual int update2(OMevent_mask event_mask=0, int seq_num=0);
};
int
AGContourWorld__update2__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);


//
// Program generated hdr definition for class: AGGraphParams
//
void AGGraphParams__free(void *obj);
OMXgroup *AGGraphParams__inst(OMobj_id obj_id);
class AGGraphParams : public virtual OMXgroup {
   public:
	AGGraphParams(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGGraphParams");
	virtual void *ret_omx_ptr(char *);
      OMXfloat barWidth;
      OMXfloat barFrameWidth;
      OMXenum graphType;
      OMXenum lineStyle;
      OMXfloat lineWidth;
      OMXfloat referenceValue;
      OMXstr_array scatterSymbols;
      OMXfloat shiftPosition;
      OMXstr symbolFont;
      OMXfloat symbolHeight;
};


//
// Program generated hdr definition for class: AGGraph
//
void AGGraph__free(void *obj);
OMXgroup *AGGraph__inst(OMobj_id obj_id);
class AGGraph : public virtual OMXgroup, public AGPrimitive, public AGGraphParams {
   public:
	AGGraph(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGGraph");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      OMXfloat barOffset;
      OMXfloat_array baseValuesY;
      OMXstr color;
      OMXstr legendText;
      OMXstr negativeColor;
      OMXfloat_array valuesX;
      OMXfloat_array valuesY;
      virtual int update(OMevent_mask event_mask=0, int seq_num=0);
};
int
AGGraph__update__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);


//
// Program generated hdr definition for class: AGGraphInArray
//
void AGGraphInArray__free(void *obj);
OMXgroup *AGGraphInArray__inst(OMobj_id obj_id);
class AGGraphInArray : public virtual OMXgroup, public AGGraph {
   public:
	AGGraphInArray(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGGraphInArray");
	virtual void *ret_omx_ptr(char *);
      OMXint indexOf;
};


//
// Program generated hdr definition for class: AGGraphFieldObj_graphs
//
void AGGraphFieldObj_graphs__free(void *obj);
OMXgroup *AGGraphFieldObj_graphs__inst(OMobj_id obj_id);
class AGGraphFieldObj_graphs : public virtual OMXgroup, public AGGraphInArray {
   public:
	AGGraphFieldObj_graphs(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGGraphFieldObj.graphs");
	virtual void *ret_omx_ptr(char *);
};
class AGGraphLegend_graphs_array : public OMXgroup_array {
public:
  AGGraphLegend_graphs_array (
      OMobj_id obj_id,
      char *name = NULL,
      int mode = OMX_CREATE_NEW_OBJ,
      OMXobj *parent_ptr = NULL);
   virtual OMXgroup *ret_array_member(OMobj_id val_id);
   AGPrimitive &operator[](const int index);
};


//
// Program generated hdr definition for class: AGGraphLegend
//
void AGGraphLegend__free(void *obj);
OMXgroup *AGGraphLegend__inst(OMobj_id obj_id);
class AGGraphLegend : public virtual OMXgroup, public AGGeometryPrimitive {
   public:
	AGGraphLegend(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGGraphLegend");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      OMXstr fillColor;
      OMXstr frameColor;
      OMXfloat frameWidth;
      OMXstr labelFont;
      OMXfloat labelHeight;
      OMXstr labelColor;
      OMXint numColumns;
      OMXstr title;
      OMXstr titleFont;
      OMXfloat titleHeight;
      OMXstr titleColor;
      AGGraphLegend_graphs_array graphs;
      virtual int update(OMevent_mask event_mask=0, int seq_num=0);

      protected:
        void attachGraphsToLegend();
};
int
AGGraphLegend__update__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);


//
// Program generated hdr definition for class: AGGraphListParams
//
void AGGraphListParams__free(void *obj);
OMXgroup *AGGraphListParams__inst(OMobj_id obj_id);
class AGGraphListParams : public virtual OMXgroup {
   public:
	AGGraphListParams(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGGraphListParams");
	virtual void *ret_omx_ptr(char *);
      OMXfloat_array barOffsets;
      OMXstr_array graphColors;
};


//
// Program generated hdr definition for class: AGGraphViewport
//
void AGGraphViewport__free(void *obj);
OMXgroup *AGGraphViewport__inst(OMobj_id obj_id);
class AGGraphViewport : public virtual OMXgroup, public AGViewport, public AGGraphParams, public AGGraphListParams {
   public:
	AGGraphViewport(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGGraphViewport");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      virtual int update2(OMevent_mask event_mask=0, int seq_num=0);
};
int
AGGraphViewport__update2__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);


//
// Program generated hdr definition for class: AGGraphWorld
//
void AGGraphWorld__free(void *obj);
OMXgroup *AGGraphWorld__inst(OMobj_id obj_id);
class AGGraphWorld : public virtual OMXgroup, public AGWorld, public AGGraphParams, public AGGraphListParams {
   public:
	AGGraphWorld(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGGraphWorld");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      OMXfloat powerExponent;
      OMXenum scaleTypeX;
      OMXenum scaleTypeY;
      virtual int update2(OMevent_mask event_mask=0, int seq_num=0);
};
int
AGGraphWorld__update2__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);


//
// Program generated hdr definition for class: AGPieChart
//
void AGPieChart__free(void *obj);
OMXgroup *AGPieChart__inst(OMobj_id obj_id);
class AGPieChart : public virtual OMXgroup, public AGGeometryPrimitive {
   public:
	AGPieChart(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGPieChart");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      OMXfloat_array angleInterval;
      OMXstr arrowColor;
      OMXstr_array colors;
      OMXfloat diameter;
      OMXfloat explodeOffset;
      OMXstr frameColor;
      OMXfloat frameWidth;
      OMXstr labelBoxFillColor;
      OMXstr labelBoxFrameColor;
      OMXfloat labelBoxFrameWidth;
      OMXstr labelColor;
      OMXenum labelContent;
      OMXint labelDecimals;
      OMXstr labelFont;
      OMXfloat labelHeight;
      OMXenum labelJustification;
      OMXenum labelPosition;
      OMXstr labelPrefix;
      OMXstr_array labelStrings;
      OMXstr labelSuffix;
      OMXfloat_array values;
      virtual int update(OMevent_mask event_mask=0, int seq_num=0);
};
int
AGPieChart__update__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);


//
// Program generated hdr definition for class: AGPolarGraphParams
//
void AGPolarGraphParams__free(void *obj);
OMXgroup *AGPolarGraphParams__inst(OMobj_id obj_id);
class AGPolarGraphParams : public virtual OMXgroup {
   public:
	AGPolarGraphParams(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGPolarGraphParams");
	virtual void *ret_omx_ptr(char *);
      OMXenum graphType;
      OMXenum lineStyle;
      OMXfloat lineWidth;
      OMXstr_array scatterSymbols;
      OMXstr symbolFont;
      OMXfloat symbolHeight;
};


//
// Program generated hdr definition for class: AGPolarGraph
//
void AGPolarGraph__free(void *obj);
OMXgroup *AGPolarGraph__inst(OMobj_id obj_id);
class AGPolarGraph : public virtual OMXgroup, public AGPrimitive, public AGPolarGraphParams {
   public:
	AGPolarGraph(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGPolarGraph");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      OMXstr color;
      OMXstr legendText;
      OMXfloat_array valuesR;
      OMXfloat_array valuesT;
      virtual int update(OMevent_mask event_mask=0, int seq_num=0);
};
int
AGPolarGraph__update__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);


//
// Program generated hdr definition for class: AGPolarGraphListParams
//
void AGPolarGraphListParams__free(void *obj);
OMXgroup *AGPolarGraphListParams__inst(OMobj_id obj_id);
class AGPolarGraphListParams : public virtual OMXgroup {
   public:
	AGPolarGraphListParams(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGPolarGraphListParams");
	virtual void *ret_omx_ptr(char *);
      OMXstr_array graphColors;
};


//
// Program generated hdr definition for class: AGPolarGraphWorld
//
void AGPolarGraphWorld__free(void *obj);
OMXgroup *AGPolarGraphWorld__inst(OMobj_id obj_id);
class AGPolarGraphWorld : public virtual OMXgroup, public AGPolarWorld, public AGPolarGraphParams, public AGPolarGraphListParams {
   public:
	AGPolarGraphWorld(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGPolarGraphWorld");
	virtual void init_class_ptr();
	virtual void free_class_ptr();
	virtual void *ret_class_ptr(char *,void *chain = NULL) const;
	virtual void *ret_omx_ptr(char *);
      virtual int update2(OMevent_mask event_mask=0, int seq_num=0);
};
int
AGPolarGraphWorld__update2__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);
#endif /* end c++ section */
#ifdef __cplusplus
extern "C" {
#endif
int AGEditorShell PTARGS((OMobj_id, OMevent_mask, int));
#ifdef __cplusplus
}
#endif
#ifdef __cplusplus


//
// Program generated hdr definition for class: AGGUISelector
//
void AGGUISelector__free(void *obj);
OMXgroup *AGGUISelector__inst(OMobj_id obj_id);
class AGGUISelector : public virtual OMXgroup {
   public:
	AGGUISelector(OMobj_id id = OMinst_obj , char *name = NULL,
	         int mode = OMX_CREATE_NEW_OBJ,
	         OMXobj *parent_ptr = NULL,
	         char *class_name = "AGGUISelector");
	virtual void *ret_omx_ptr(char *);
      class AGPrimitive agObj;
      OMXint isNotAGObj;
      OMXint isAGArc;
      OMXint isAGArrow;
      OMXint isAGContour;
      OMXint isAGContourLegend;
      OMXint isAGContourViewport;
      OMXint isAGContourWorld;
      OMXint isAGEllipse;
      OMXint isAGGraph;
      OMXint isAGGraphLegend;
      OMXint isAGGraphViewport;
      OMXint isAGGraphWorld;
      OMXint isAGLine;
      OMXint isAGPieChart;
      OMXint isAGPoints;
      OMXint isAGPolarGraph;
      OMXint isAGPolarGraphWorld;
      OMXint isAGPolarRAxis;
      OMXint isAGPolarRTicklines;
      OMXint isAGPolarTAxis;
      OMXint isAGPolarTTicklines;
      OMXint isAGPolarWorld;
      OMXint isAGPolygon;
      OMXint isAGRectangle;
      OMXint isAGRestrictedText;
      OMXint isAGText;
      OMXint isAGTransformableText;
      OMXint isAGViewport;
      OMXint isAGWorld;
      OMXint isAGXAxis;
      OMXint isAGXTicklines;
      OMXint isAGXUserAxis;
      OMXint isAGYAxis;
      OMXint isAGYTicklines;
      OMXint isAGYUserAxis;
      OMXint oldType;
      virtual int update(OMevent_mask event_mask=0, int seq_num=0);
};
int
AGGUISelector__update__stub(OMXgroup *obj,OMevent_mask event_mask, int seq_num);
#endif /* end c++ section */
#ifdef __cplusplus
extern "C" {
#endif
void AGInit PTARGS((void));


#ifdef __cplusplus
}
#endif
#endif /* OM_NO_DEF_AG */
